package Bubulle;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author anja
 */
public class Bubulles {
    static List<Bulle> population = new ArrayList();
    public static void main(String[] args) {
        creerBulle();
    }
    
    public static void creerBulle(){
        String fichier = "bubu1.txt";
        
        ExtraireColonnes(fichier);
        
        
        
    }
    
    public static void ExtraireColonnes(String fichier) {
	//lecture du fichier texte
        List<Double> result = new ArrayList();
        String[] temp = null;
        int i = 1;
	try{
            BufferedReader br=new BufferedReader(new InputStreamReader(new FileInputStream(fichier)));
            String ligne;
            while (((ligne=br.readLine())!=null)){
                temp = ligne.split("   ");
                temp[0] = "";
                result = ConvertStringToDouble(temp);
                //Bulle b = new Bulle(i, result.get(0), result.get(1), result.get(2), result.get(3), result.get(4));
                Bulle b = new Bulle(i, result.get(0), result.get(1), result.get(2));
                population.add(b);
                
                Recherche.addBulle(b);
                
                i++;
            }
            br.close(); 
        }	
	catch (Exception e){
            System.out.println(e.toString());
	}
    }
     public static List<Double> ConvertStringToDouble(String[] tab) {
        List<Double> data = new ArrayList();
	for(String s : tab){
            if(s != ""){
                double a = Double.parseDouble(s.substring(0, 8));
            double b = Double.parseDouble(s.substring(11,13));
            char signe = s.charAt(10);

            if(signe == '+'){
                a = a * Math.pow(10,b);
            }else{
                a = a / Math.pow(10,b);
            }
            data.add(a);
            }
        } 
        return data;
    }
     
}
/*
1 fichier on prend toutes les bulles
on fait une liste de bulle (1 bulle a 3 valeurs x, y, z) + id
on fait un objet trajectoire qui contient un tableau de bulle + un score


on a une ligne d'une suite de caracteres
on les decoupe en string 
on convertit les string en double
on cree la bulle

*/
